/**
 * 钟是志
 * 27900 毕业去向管理/单位改签管理---老师新增时，保存反应延迟，会导致重复数据
 * 2022年6月26日
 * */
import React, { useEffect, useState } from 'react';
import { Button } from 'antd';

export default function ButtonDiy(props) {
  const {
    loading,
    onClick,
    ...ev
  } = props;
  const [loadingThis, setLoading] = useState(false);

  useEffect(() => {
    setLoading(loading);
  }, [loading]);

  const topOnClick = (e) => {
    console.log(e);
    return onClick(e, setLoading);
  };

  return (
    <Button loading={loadingThis}
            type="primary"
            onClick={topOnClick}
            {...ev}
    />
  );
}
